<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/utiljs.php");
include("../include/sadmin.inc.php");
include ("../sadmin/table_verifs.inc.php");

opensession('Admin',false);
connecte($host, $user, $mdp,$db);
?>

<HTML>

<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>nom1</TITLE>
<BASE TARGET="_self">
<link rel="stylesheet" href="../include/general.css">
<style type="text/css"><!--
--></style>
</HEAD>
<body class="arial_sadmin">

<p class="titre" align="center">Vérifications de la base</p>
<hr width="30%">


<?php
retour("sadmin_bas2.php");

$titre_old='';
foreach ($verif as $param => $ligne) {
     unset($suite,$onclick); //pour qu'ils ne soient pas affecté par le tour de boucle précédent
     foreach ($ligne as $cle=>$valeur) $$cle=$valeur;
     if (!isset($suite)) $suite='fonction';
     if (!isset($onclick)) $onclick='';

     if ($suite=="non") continue; //entrée factice pour ce passage, utilisée pour le passage suivant
     if (!$titre_old)
         print "<table border =\"0\" width=\"100%\"><tr><td class=\"titre\"><b>$titre</b></td></tr></table><table border=\"1\" width=\"100%\">";
     elseif ($titre!=$titre_old)
         print "</table><br /><table border =\"0\" width=\"100%\"><tr><td class=\"titre\"><b>$titre</b></td></tr></table><table border=\"1\" width=\"100%\">";
     $titre_old=$titre;
     print "<tr >\n";
     print "<td width=\"15%\">\n";
     print "    <p class=\"rubrique\">$gauche</p>\n";
     print "</td>\n";
     print "<td class=\"center\">\n";
     if ($suite=="fonction") $url="../sadmin/clean.php?choix=".$param;
     //sinon, $url est définie par le tableau
     print "    <form name=\"form_$param\" method=\"POST\" action=\"$url\">\n";
     print "    <input type=\"submit\" name=\"btn_$param\" value=\"$bouton\" onclick=\"$onclick\" />\n";
     print "    </form>\n";
     print "</td>\n";
     print "<td width=\"70%\" class=\"petit\" >\n";
     print      $droite;
     print "    <br /><span style=\"color:#CCFFFF\">$warning</span>\n";
     print "</td>\n";
     print "</tr>\n";
     }
print "</table>\n";
retour("sadmin_bas2.php");
?>

</body>
</html>
